Bug 862871 - btrfs /etc/fstab entry, dump and fsck don't apply
Summary: btrfs /etc/fstab entry, dump and fsck don't apply
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 888747 (view as bug list)
Depends On:
Blocks: F20FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2012-10-03 19:35 UTC by Chris Murphy
Modified: 2013-12-03 03:45 UTC (History)
10 users (show)

Fixed In Version: python-blivet-0.23.7-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-03 03:45:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Murphy 2012-10-03 19:35:33 UTC
Description of problem:
dump and fsck don't apply to btrfs. /etc/fstab should use 0 for fs_freq fs_passno columns.

Version-Release number of selected component (if applicable):
F18 Beta TC1
anaconda-18.11-1.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Use btrfs as a file system when installing

Actual results:
/etc/fstab entry for btrfs file systems uses non-zero values for dump and fsck.

Expected results:
These values should be 0.

Additional info:

Comment 1 Gene Czarcinski 2012-12-24 17:31:24 UTC
*** Bug 888747 has been marked as a duplicate of this bug. ***

Comment 2 Chris Murphy 2013-01-04 16:20:48 UTC
https://btrfs.wiki.kernel.org/index.php/FAQ#What.27s_the_difference_between_btrfsck_and_fsck.btrfs
"This is not needed for btrfs. You should set fs_passno to 0."

Comment 3 Gene Czarcinski 2013-02-01 15:51:05 UTC
This is more of a question than a suggestion: Should "noatime" be added as a standard option for btrfs subvolumes in /etc/fstab?

This is not going to be fixed in F18 so rawhide it is.

Comment 4 Chris Murphy 2013-02-01 16:54:48 UTC
noatime can cause less obvious problems that are more difficult to troubleshoot than the edge cases of nasty performance with relatime. I think upstream btrfs devs need to decide the default mount options, rather than a distro second guessing them, short of clear problems.

Comment 5 Fedora End Of Life 2013-04-03 17:32:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Chris Murphy 2013-11-26 06:14:09 UTC
This is still a bug in Fedora 20.

Comment 7 Chris Murphy 2013-11-26 22:51:37 UTC
Bug 1034563 is in part caused by this bug. What's needed to get this fixed? Is anaconda presently unable to set different fs_passno on a file system basis? At least btrfs and xfs have no such thing as an unattended fsck.

Comment 8 Fedora Blocker Bugs Application 2013-11-26 23:27:27 UTC
Proposed as a Freeze Exception for 20-final by Fedora user chrismurphy using the blocker tracking app because:

 It would be nice for /etc/fstab to have the correct values to prevent fsck from being autorun on at least Btrfs (if not also XFS), as this file can persist for many Fedora updates once written. And it causes at least one other bug, bug 1034563.

Comment 9 Brian Lane 2013-11-26 23:49:08 UTC
blivet needs to also check for format.fsckProg when setting passno in fstab() > 0

Comment 10 Adam Williamson 2013-11-27 19:37:33 UTC
Discussed at 2013-11-27 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-27/f20-blocker-review-3.2013-11-27-17.01.log.txt . Accepted as a freeze exception issue: it's a bit late to be fiddling with this, but it's clearly incorrect as it stands, and the fix sounds like it would be fairly safe and limited. We'd prefer if this goes in some time before the last moment, though :)

Comment 11 Adam Williamson 2013-12-03 02:32:40 UTC
https://admin.fedoraproject.org/updates/FEDORA-2013-21928/pykickstart-1.99.48-1.fc20,python-blivet-0.23.7-1.fc20,anaconda-20.25.12-1.fc20 went stable, so this can probably be closed; does someone want to verify it?

Comment 12 Chris Murphy 2013-12-03 03:40:20 UTC
Verified. fs_passno and fs_freq for btrfs filesystems are 0.

Comment 13 Adam Williamson 2013-12-03 03:45:12 UTC
awesome, let's shut it down. thanks cmurf.


Note You need to log in before you can comment on or make changes to this bug.